Summary:    X Keyboard Extension configuration data
Name:       xkeyboard-config
Version:    2.39
Release:    2%{?dist}
License:    MIT
URL:        http://www.freedesktop.org/wiki/Software/XKeyboardConfig
Source0:    http://xorg.freedesktop.org/archive/individual/data/xkeyboard-config/xkeyboard-config-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  perl(XML::Parser)
BuildRequires:  gettext gettext-devel
BuildRequires:  libxslt git-core xkbcomp
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(xorg-macros) >= 1.12
BuildRequires:  pkgconfig(x11) >= 1.4.3 pkgconfig(xproto) >= 7.0.20

BuildArch:  noarch

%description
This package contains configuration data for the X keyboard(XKB),
which allows selection of keyboard layouts from a graphical interface.

%package devel
Summary:    Development files for xkeyboard-config
Requires:   xkeyboard-config = %{version}-%{release}
Requires:   pkgconfig

%description devel
Development files for xkeyboard-config.

%prep
%autosetup -S git

%build
%meson -Dcompat-rules=true -Dxorg-rules-symlinks=true
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_datadir}/X11/xkb/compiled
%find_lang xkeyboard-config

FILESLIST=${PWD}/files.list
pushd %{buildroot}
find .%{_datadir}/X11/xkb -type d | sed -e "s|^\.|%dir |g" > $FILESLIST
find .%{_datadir}/X11/xkb -type f | sed -e "s|^\.||g" >> $FILESLIST
popd

%files -f files.list -f xkeyboard-config.lang
%license COPYING
%doc AUTHORS README NEWS docs/README.* docs/HOWTO.*
%{_datadir}/X11/xkb/rules/xorg
%{_datadir}/X11/xkb/rules/xorg.lst
%{_datadir}/X11/xkb/rules/xorg.xml
%{_mandir}/man7/xkeyboard-config.*

%files devel
%{_datadir}/pkgconfig/xkeyboard-config.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.39-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 kianli <kianli@tencent.com> - 2.39-1
- Upgrade to 2.39

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 Wang Guodong <gordonwwang@tencent.com> - 2.36-1
- package init.
